Bug 1462538 - Installer images built with anaconda-27.14-1.fc27 fail to boot
Installer images built with anaconda-27.14-1.fc27 fail to boot
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
27
All Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Vendula Poncova
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: AlphaBlocker/F27AlphaBlocker
  Show dependency treegraph
 
Reported: 2017-06-18 12:05 EDT by Adam Williamson
Modified: 2017-08-20 12:32 EDT (History)
6 users (show)

See Also:
Fixed In Version: anaconda-27.15-1
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-20 12:32:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2017-06-18 12:05:56 EDT
All installer image tests for Rawhide 20170617.n.0 and 20170618.n.0 failed to boot with an anaconda traceback:

Traceback (most recent call last):
  File "/sbin/anaconda", line 282, in <module>
    from pyanaconda import startup_utils
  File "/usr/lib64/python3.6/site-packages/pyanaconda/startup_utils.py", line 40, in <module>
    from pyanaconda import kickstart
  File "/usr/lib64/python3.6/site-packages/pyanaconda/kickstart.py", line 22, in <module>
    from pyanaconda.threads import threadMgr
ModuleNotFoundError: No module named 'pyanaconda.threads'

Note: not entirely sure whether 27.13 or 27.14 introduced this, as they were built very close together.

This is an automatic F27 Alpha blocker: "Complete failure of any release-blocking TC/RC image to boot at all under any circumstance - "DOA" image (conditional failure is not an automatic blocker)".
Comment 1 Vendula Poncova 2017-06-19 06:20:22 EDT
Fixed in a pull request: https://github.com/rhinstaller/anaconda/pull/1104
Comment 2 Jan Kurik 2017-08-15 03:35:54 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 27 development cycle.
Changing version to '27'.
Comment 3 Adam Williamson 2017-08-20 12:32:03 EDT
This was obviously fixed a while back.

Note You need to log in before you can comment on or make changes to this bug.